// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdUiKitComponents",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdUiKitComponents", targets: ["WebIdUiKitComponentsWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        
    ],
    targets: [
        .binaryTarget(
            name: "WebIdUiKitComponents",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/redesign-v4-snapshots/de/webid-solutions/WebIdUiKitComponents/8.0.1/WebIdUiKitComponents.framework-v8.0.1-SNAPSHOT-342.zip",
            checksum: "0a3505df862fe9611b2c97016ec6558b043cb126dc87124528d01fac706c35ad"
        ),
        .target(
            name: "WebIdUiKitComponentsWrapper",
            dependencies: [
                .target(name: "WebIdUiKitComponents"),
                // [target dependecies here]
                
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
